The People Finder API allows programmatic access to execute People Finder queries.
Endpoint
/1.0/peoplefinder
Objects used by this API
Criteria object
Criteria objects are provided in requests to this API. Each Criteria object represents a single criteria within a People Finder query. Provide an array of these objects in JSON encoded string format as the value for the "criteria" parameter below.
|
Name |
Data type |
Description |
|
type |
string |
One of "skill_level", "interest_level", "location", "role", or "team" |
|
id |
integer |
The id of the record specified in the "type" parameter above |
|
rating |
integer |
A rating value. Only applies to the "skill_level" and "interest_level" types. |
People Finder object
People Finder objects are returned by this API.
|
Name |
Data type |
Read only |
Description |
|
id |
integer |
Yes |
Person record unique id |
|
first_name |
string |
Yes |
The person's first name |
|
surname |
string |
Yes |
The person's surname |
|
location_id |
integer |
Yes |
The person's Location id (This property is only returned when Location id is provided as criteria) |
|
role_id |
integer |
Yes |
The person's Role id (This property is only returned when Role id is provided as criteria) |
|
team_id |
integer |
Yes |
The person's Team id (This property is only returned when Team id is provided as criteria) |
|
skillratings |
Array of Skill Rating objects |
Yes |
An array of Skill Rating objects (see Skill Ratings API). This is only populated with skills that were provided as criteria. |
Methods
POST /peoplefinder
Executes a People Finder query,
The available parameters are:
|
Name |
Data type |
Description |
|
criteria |
string |
An array of Criteria objects (see above) as a JSON encoded string |
|
match_percentage |
integer |
The minimum match percentage expressed as an integer. For example a value of 100 will return only exact matches, and a value of 50 will return people that match at least half of the given criteria. |
Example
The following example finds people:
-
Skilled in skill id 1 with a rating of at least 2
-
Interested in skill id 2 with a rating of at least 3
-
In Team id 4
-
Exact matches only
Note: The request body is shown unencoded for readability, however must be properly encoded for the HTTP POST.
POST /1.0/peoplefinder HTTP/1.1
Host: example-api.skills-base.com
Connection: close
Accept: */*
User-Agent: OAuth gem v0.4.4
Authorization: Bearer xxxxxxxxxxxxxxxxx
criteria=[{"type":"skill_level","id":1,"rating":2},{"type":"interest_level","id":2,"rating":3},{"type":"team","id":4}]&match_percentage=100